Skip to content

getPurchasingRFQs

READ

Get purchasing r f qs.

POST /api/v1/purchasing/getPurchasingRFQs
curl -X POST '<your-host>/api/v1/purchasing/getPurchasingRFQs' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "assignee": "string",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "employeeId": "string",
      "expirationDate": "string",
      "favorite": true,
      "id": "string",
      "internalNotes": "…",
      "locationId": "string",
      "locationName": "string",
      "notes": "…",
      "revisionId": 0,
      "rfqDate": "string",
      "rfqId": "string",
      "status": "Closed",
      "supplierCount": 0,
      "supplierIds": [
        "string"
      ],
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  }
}